summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Buetow <paul@buetow.org>2026-06-05 22:32:47 +0300
committerPaul Buetow <paul@buetow.org>2026-06-05 22:32:47 +0300
commitd20a5032d1ffbdcad3581a4e0c83c6cf7b711df0 (patch)
tree865801933cc446af544b192dd86860c9c8b13114
parentd7b05fb979afaaa1ffe466f6d638257493a79bd9 (diff)
Enable strict mode for test helpers
-rwxr-xr-xtests/helpers.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/tests/helpers.sh b/tests/helpers.sh
index 96f0ab4..6f6d507 100755
--- a/tests/helpers.sh
+++ b/tests/helpers.sh
@@ -1,4 +1,5 @@
#!/usr/bin/env bash
+set -euo pipefail
: "${TEST_REPO_ROOT:=${REPO_ROOT:-$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)}}"
: "${TEST_PHOTOALBUM:=${PHOTOALBUM:-$TEST_REPO_ROOT/bin/photoalbum}}"